Package org.eclipse.net4j.util.security

# Interface IPasswordCredentialsUpdateProvider

All Known Implementing Classes:
  `InteractiveCredentialsProvider`

public interface IPasswordCredentialsUpdateProvider
Interface for providers of password credentials updates.

Since:
  3.4
Author:
  Christian W. Damus (CEA LIST)

## Method Summary

Modifier and Type
Method
Description
`IPasswordCredentialsUpdate`
`getCredentialsUpdate(String realm, String userID, CredentialsUpdateOperation operation)`
`IPasswordCredentialsUpdate`
`getCredentialsUpdate(String userID, CredentialsUpdateOperation operation)`

## Method Details

### getCredentialsUpdate

IPasswordCredentialsUpdate getCredentialsUpdate(String userID, CredentialsUpdateOperation operation)

### getCredentialsUpdate

IPasswordCredentialsUpdate getCredentialsUpdate(String realm, String userID, CredentialsUpdateOperation operation)